Skip to main content
POST
https://prod-api.raisedonors.com
/
api
/
Raise
/
give
Process a Donation Payment
curl --request POST \
  --url https://prod-api.raisedonors.com/api/Raise/give \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "paymentMethodId": "<string>",
  "nonce": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pageRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency": "<string>",
  "exchangeRate": 123,
  "segment": "<string>",
  "segmentOverrideCode": "<string>",
  "projectOverrideCode": "<string>",
  "isRecurring": true,
  "startDate": "2023-11-07T05:31:56Z",
  "startDateTimeUtc": "2023-11-07T05:31:56Z",
  "donorPaidCosts": true,
  "isAnonymous": true,
  "creditCardType": "<string>",
  "giftAidRequested": true,
  "doubleTheDonationCompanyId": 123,
  "doubleTheDonationEnteredText": "<string>",
  "isTestMode": true,
  "premiumId": 123,
  "visitorId": "<string>",
  "comments": "<string>",
  "paymentId": "<string>",
  "clientId": "<string>",
  "sessionId": "<string>",
  "timeZone": "<string>",
  "coverAdminFee": true,
  "adminFee": 123,
  "adminFeeProjectId": 123,
  "paypalPaymentSource": "<string>",
  "motivationCodeId": 123,
  "motivationCodeGroupId": 123,
  "gatewayId": 123,
  "tribute": {
    "isInMemoryOf": true,
    "isInHonorOf": true,
    "nameOrOccasion": "<string>",
    "tributeFirstName": "<string>",
    "tributeLastName": "<string>",
    "tributeAddress1": "<string>",
    "tributeAddress2": "<string>",
    "tributeCity": "<string>",
    "tributeState": "<string>",
    "tributeCountry": "<string>",
    "tributePostal": "<string>",
    "acknowledgeeFirstName": "<string>",
    "acknowledgeeLastName": "<string>",
    "sendByEmail": true,
    "acknowledgeeEmailAddress": "<string>",
    "sendByPostal": true,
    "acknowledgeeAddress1": "<string>",
    "acknowledgeeAddress2": "<string>",
    "acknowledgeeCity": "<string>",
    "acknowledgeeState": "<string>",
    "acknowledgeeCountry": "<string>",
    "acknowledgeePostal": "<string>",
    "message": "<string>"
  },
  "projects": [
    {
      "projectId": 123,
      "amount": 123
    }
  ]
}
'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The request.

Represents a donation payment request.

amount
number<double>
required
paymentMethodType
enum<integer>
required
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
paymentMethodId
string
required
Minimum string length: 1
nonce
string<uuid>
publicId
string<uuid> | null
pageRequestId
string<uuid> | null
currency
string | null
exchangeRate
number<double>
segment
string | null
segmentOverrideCode
string | null
projectOverrideCode
string | null
isRecurring
boolean
frequency
enum<integer>
Available options:
0,
1,
2,
4,
12,
26,
52,
100
startDate
string<date-time> | null
startDateTimeUtc
string<date-time> | null
donorPaidCosts
boolean
isAnonymous
boolean
creditCardType
string | null
giftAidRequested
boolean
doubleTheDonationCompanyId
integer<int32> | null
doubleTheDonationEnteredText
string | null
isTestMode
boolean
premiumId
integer<int64> | null
visitorId
string | null
comments
string | null
paymentId
string | null
clientId
string | null
sessionId
string | null
timeZone
string | null
coverAdminFee
boolean | null
adminFee
number<double> | null
adminFeeProjectId
integer<int64> | null
paypalPaymentSource
string | null
motivationCodeId
integer<int64> | null
motivationCodeGroupId
integer<int64> | null
gatewayId
integer<int64>

Gets or sets the payment gateway ID to be used.

donor
object

Gets or sets the donor information.

tribute
object

Gets or sets the tribute information.

projects
object[] | null

Gets or sets the projects associated with the donation.

Response

200

OK

Last modified on June 5, 2026